<!-- Masthead-->
<header class="masthead header_masthead_edit">
  <div class="container px-6 px-lg-5 h-100">
    <div class="row gx-4 gx-lg-6 h-100 align-items-center justify-content-center text-center">
      <div class="col-lg-8 align-self-end">
        <% if notice %>
          <p class="alert alert-success"><%= notice %></p>
        <% end %>
        <% if alert %>
          <p class="alert alert-danger"><%= alert %></p>
        <% end %>
        <h1 class="text-white font-weight-bold">Editar <%= resource_name.to_s.humanize %></h1>
        <hr class="divider" />
      </div>
      <div class="col-lg-8 align-self-baseline text-white">
        <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
          <%= render "devise/shared/error_messages", resource: resource %>

          <div class="form-group tam_fields_50">
            <%= f.label :email, "E-mail:" %><br />
            <%= f.email_field :email, autofocus: true, autocomplete: "email", class:"form-control text-center", placeholder:"Informe seu email"  %>
          </div>
          <br />
          <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
            <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
          <% end %>
          <div class="form-group tam_fields_50">
            <%= f.label :password , "Senha:" %><br />
            <% if @minimum_password_length %>
              <small class="form-text text-muted">
                <em class="text-white">Deixe em branco se não quiser mudar e no mínimo (<%= @minimum_password_length %> caracteres)</em>
              </small>
            <% end %>
            <%= f.password_field :password, autocomplete: "new-password", class:"form-control text-center", placeholder:"Informe sua nova senha"  %>
          </div>
          <br />
          <div class="form-group tam_fields_50">
            <%= f.label :password_confirmation, "Confirmação da senha:" %><br />
            <%= f.password_field :password_confirmation, autocomplete: "new-password", class:"form-control text-center", placeholder:"Informe sua nova senha"  %>
          </div>
          <br />
          <div class="form-group tam_fields_50">
            <%= f.label :current_password, "Senha Atual:" %><br />            
            <small class="form-text text-muted">
              <i class="text-white">(precisamos de sua senha atual para confirmar suas alterações)</i>
            </small>
            <%= f.password_field :current_password, autocomplete: "current-password", class:"form-control text-center", placeholder:"Informe sua nova senha"  %><br />
          </div>
          <hr class="divider" />
          <div class="actions">
            <%= f.submit "Atualizar", class: "btn btn-primary btn-xl"  %>
          </div>
        <% end %>
        <hr class="divider" />
        <%= button_to "Cancelar minha conta", registration_path(resource_name), data: { confirm: "Você tem certeza que deseja cancelar sua conta?" }, method: :delete, class: "btn btn-danger btn-xl"  %>
      </div>
    </div>
  </div>
</header>